Bug 23066 - sensitive information given on cmd-line
Summary: sensitive information given on cmd-line
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: isdn-config   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-01 00:35 UTC by Enrico Scholz
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-15 11:28:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Enrico Scholz 2001-01-01 00:35:31 UTC
Although the username should not be secret in most cases, it contains
confidential information at some providers. E.g. the german T-Online builds
the username from the phone-number and a secret, long number (which must be
entered in T-Online's own-application into a veiled password-input field).

So it's not good when giving this username as a cmdline-option to ipppd in
/etc/init.d/isdn, because everybody can see it with `ps'. 

Options can be given to ipppd in a configuration file with '-f...', so the
username can be put there.

Comment 1 Ngo Than 2001-01-30 15:59:19 UTC
i have fixed this problem. I will build new version internet-config-0.23 today
or tomorrow.
Note: in 7.1 beta3 is internet-config a replacement of isdn-config.


Note You need to log in before you can comment on or make changes to this bug.